#pragma once

#include <maps/libs/http/include/test_utils.h>
#include <maps/libs/pgpool/include/pgpool3.h>
#include <maps/wikimap/mapspro/services/mrc/libs/db/include/common.h>
#include <maps/wikimap/mapspro/services/mrc/libs/fb/fbs/storage.fbs64.h>

#include <string>

namespace maps::mrc::browser::tests {

const std::string EMPTY_HOTSPOT_RESPONSE = R"({"error":{"code":404,"message":"Not found"}})";

void validateJson(const std::string& jsonPath, const std::string& schemaPath);

std::string dataPath(const std::string& relativePath);

std::string apiResponseSchemaPath(const std::string& relativePath);

std::string layerDataSchemaPath(const std::string& layer);

void setFeaturesPrivacy(pgpool3::Pool& pool, db::FeaturePrivacy);

fb::PhotoToEdgePair makeRelation(db::TId featureId);

} // namespace maps::mrc::browser::tests
